Bug 250567 - audio/libmusicbrainz5: Update to snapshot 20150707
Summary: audio/libmusicbrainz5: Update to snapshot 20150707
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-23 21:11 UTC by daniel.engberg.lists
Modified: 2020-10-30 10:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments
Patch for libmusicbrainz5 (3.53 KB, patch)
2020-10-23 21:11 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-10-23 21:11:12 UTC
Created attachment 219022 [details]
Patch for libmusicbrainz5

* Update to latest commit in upstream master branch before upstream split C interface (requires patching of downstream users). This removes unnecessary noise seen in applications such as cyanrip. 
* Backport upstream commit 36262d6 (CMake/Ninja buildfix)

References:
https://github.com/metabrainz/libmusicbrainz/pull/9
https://github.com/cyanreg/cyanrip/issues/23
https://github.com/metabrainz/libmusicbrainz/commit/36262d60fe92fe7a2c9bfb40e736bfcd29a6c3bd
https://salsa.debian.org/multimedia-team/libmusicbrainz/-/blob/master/debian/patches/0002-src-CMakelists.txt-do-not-use-wildcards-for-dependen.patch

Run-time tested on:
FreeBSD 12.1-RELEASE-p9 r365364 (amd64)

Compile tested on:
FreeBSD 13.0-CURRENT r364979 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)

Notes:
This matches the version Debian keeps in their repo.
Comment 1 commit-hook freebsd_committer 2020-10-30 10:32:31 UTC
A commit references this bug:

Author: jhale
Date: Fri Oct 30 10:32:27 UTC 2020
New revision: 553677
URL: https://svnweb.freebsd.org/changeset/ports/553677

Log:
  audio/libmusicbrainz5: Update to snapshot from 2015-07-06 (e29cc9a)

  - The main purpose of this intermediate update is to eliminate unwanted debug
    information emitted when running console applications.
  - Backport commit 36262d6 to eliminate wildcards for dependencies in
    CMakeLists.txt which CMake complains about (CMP0058). As a result, we can
    switch to an outsource build.

  While here:
  - Update LICENSE (LGPL21+) and add LICENSE_FILE
  - Remake/rename patches with 'make makepatch'

  Changes:	https://github.com/metabrainz/libmusicbrainz/compare/release-5.1.0...e29cc9a
  PR:		250567
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net>

Changes:
  head/audio/libmusicbrainz5/Makefile
  head/audio/libmusicbrainz5/distinfo
  head/audio/libmusicbrainz5/files/patch-include_musicbrainz5_HTTPFetch.h
  head/audio/libmusicbrainz5/files/patch-musicbrainz5-httpfetch-h.patch
  head/audio/libmusicbrainz5/files/patch-src_CMakeLists.txt
  head/audio/libmusicbrainz5/files/patch-src_c-int-source-funcs.inc
  head/audio/libmusicbrainz5/pkg-plist
Comment 2 Jason E. Hale freebsd_committer 2020-10-30 10:34:14 UTC
Committed, thanks!